This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 475592 - Web interface does not show printer options for `Raw' printers
Web interface does not show printer options for `Raw' printers
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Tim Waugh
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 13:19 EST by Opher Shachar
Modified: 2008-12-19 09:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 09:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Opher Shachar 2008-12-09 13:19:30 EST
Description of problem:
We have printers defined as `Raw' printers.
In the Web Interface clicking `Set Printer Options' gives an error: "Not found".
 
Version-Release number of selected component (if applicable):
1.2.4-11.14.6

How reproducible:
Always

Steps to Reproduce:
1. lpadmin -p printer1 -m raw
2. Accesses the Web Interface: http://localhost/printers/printer1
3. Click `Set Printer Options'
  
Actual results:
Error status: Not Found

Expected results:
Web form that allows setting policies:
  1. operation policy
  2. error policy 

Additional info:
lpoptions behaves correctly:
$ lpoptions -p printer1
job-sheets=none,none printer-info=printer1 printer-is-accepting-jobs=0 printer-is-shared=1 printer-make-and-model='Local Raw Printer' printer-state=5 printer-state-change-time=1228845183 printer-state-reasons=paused printer-type=524292

$ lpoptions -p printer1 -l
lpoptions: Unable to get PPD file for printer1: Not Found
Comment 1 Tim Waugh 2008-12-19 09:45:29 EST
Fixing version.

This should work fine in Red Hat Enterprise Linux 5.3.

Note You need to log in before you can comment on or make changes to this bug.